<template>
  <v-col cols="12" lg="6" md="6" sm="11" v-if="loaded">
    <ck-item-collection
      :collection-id="currentItem.itemCollectionId"
      :item-index-start="itemIndexStart"
    >
      <template #title>{{ currentItem.label }}</template>
      <template #actions>
        <v-btn @click="reloadItem()"><v-icon>mdi-reload</v-icon></v-btn>
        <v-btn @click="$router.push({ name:'checklist', params: { checklistId: $route.params.checklistId }})"><v-icon>mdi-close</v-icon></v-btn>
      </template>
    </ck-item-collection>
  </v-col>
</template>

<script>
import { useCurrentItemStore } from '@/stores/currentItem.js'

import { routeLocationKey } from 'vue-router'
import CkItemCollection from '@/components/item-collection/ck-item-collection.vue'
export default {
  components: { CkItemCollection },
  data() {
    return {
      loaded: false
    }
  },
  props: {
    itemId: {
      type: String,
    },
    itemIndexStart: {
      type: Number,
      default: 0
    },

  },
  computed: {
    routeLocationKey() {
      return routeLocationKey
    },
    currentItem() {
      return useCurrentItemStore().currentItem
    },
  },
  methods: {
    reloadItem() {
      useCurrentItemStore().fetchItem(this.itemId)
    }
  },
  mounted() {
    useCurrentItemStore().fetchItem(this.itemId)
  },
  created() {
    useCurrentItemStore().fetchItem(this.itemId).then(() => this.loaded = true)
  }
}
</script>

<style scoped>
.v-container {
  height: 94%;
}

.v-row {
  height: 100%;
}

.v-col {
  max-height: 90vh;
}
</style>